# Sequenceless Class Reference
[Connectors and dialects for various databases]

Workaround for sequenceless DB's. More...

Inheritance diagram for Sequenceless:
[legend]

List of all members.

## Public Member Functions

| obtainSequence ($sequence)
| query (Query $query)
| base queries

## Protected Member Functions

| getInsertId ()

## Protected Attributes

| $sequencePool = array()

## Detailed Description

Workaround for sequenceless DB's.

You should follow two conventions, when stornig objects thru this one:

1) objects should be childs of IdentifiableObject; 2) sequence name should equal table name + '_id'.

See also:
  IdentifiableOjbect
  MySQL
  SQLite

Definition at line 27 of file Sequenceless.class.php.

## Member Function Documentation

Sequenceless::getInsertId | ( |  | ) | `[abstract, protected]`

Reimplemented in MySQL, MySQLim, and SQLite.

Referenced by query().

Sequenceless::obtainSequence | ( | $ | sequence | ) | `[final]`

Returns:
  Identifier

Definition at line 36 of file Sequenceless.class.php.

References Identifier::create().

Here is the call graph for this function:

Sequenceless::query | ( | Query $ | query | ) | `[final]`

base queries

Reimplemented from DB.

Definition at line 45 of file Sequenceless.class.php.

References getInsertId(), Assert::isTrue(), DB::queryRaw(), and DialectString::toDialectString().

Referenced by SQLite::queryColumn(), MySQLim::queryColumn(), MySQL::queryColumn(), SQLite::queryRow(), MySQLim::queryRow(), MySQL::queryRow(), SQLite::querySet(), MySQLim::querySet(), and MySQL::querySet().

Here is the call graph for this function:

## Member Data Documentation

Sequenceless::$sequencePool = array()`[protected]`

Definition at line 29 of file Sequenceless.class.php.

The documentation for this class was generated from the following file:

- core/DB/Sequenceless.class.php